Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.model
Class DefaultMenuItemModel

    java.lang.Object
      echopointng.model.DefaultMenuItemModel

All Implemented Interfaces:
  java.io.Serializable, ButtonModel

    public class DefaultMenuItemModel

extends java.lang.Object
implements ButtonModel, java.io.Serializable

The default implementation of a menu item data model.

See Also:
  Serialized Form

Constructor Summary
`DefaultMenuItemModel()` Creates a new default menu item model.

Method Summary
`void` | `addActionListener(ActionListener l)` Adds an `ActionListener` to the menu item model.
`void` | `addChangeListener(ChangeListener l)` Adds a `ChangeListener` to the menu item model.
`void` | `addItemListener(java.awt.event.ItemListener l)` Adds a `ItemListener` to the menu item model.
`void` | `doAction()` Our default doAction
`void` | `fireActionPerformed(ActionEvent e)` Notifies all listeners that have registered for this event type.
`void` | `fireItemStateChanged(java.awt.event.ItemEvent e)` Notifies all listeners that have registered for this event type.
`void` | `fireStateChanged()` Notifies all listeners that have registered for this event type.
`java.lang.String` | `getActionCommand()` Returns the action command for this menu item model.
`ButtonGroup` | `getGroup()` Returns the `ButtonGroup` to which this menu item model belongs, if any.
`boolean` | `isSelected()` Returns the menu item model's selection state.
`void` | `removeActionListener(ActionListener l)` Removes an `ActionListener` from the menu item model.
`void` | `removeChangeListener(ChangeListener l)` Removes a `ChangeListener` from the menu item model.
`void` | `removeItemListener(java.awt.event.ItemListener l)` Removes a `ItemListener` from the menu item model.
`void` | `setActionCommand(java.lang.String actionCommand)` Sets the menu item model's action command.
`void` | `setGroup(ButtonGroup group)` Sets the `ButtonGroup` to which this menu item model belongs.
`void` | `setSelected(boolean selected)` Sets the menu item model's selection state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMenuItemModel

    public DefaultMenuItemModel()

  Creates a new default menu item model.

Method Detail

### addActionListener

    public void addActionListener(ActionListener l)

  Adds an `ActionListener` to the menu item model.

  Specified by:
    `addActionListener` in interface `ButtonModel`
  Parameters:
    `l` - The `ActionListener` to be added.

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a `ChangeListener` to the menu item model.

  Parameters:
    `l` - The `ChangeListener` to be added.

### addItemListener

    public void addItemListener(java.awt.event.ItemListener l)

  Adds a `ItemListener` to the menu item model.

  Parameters:
    `l` - The `ItemListener` to be added.

### fireActionPerformed

    public void fireActionPerformed(ActionEvent e)

  Notifies all listeners that have registered for this event type.

  Parameters:
    `e` - The `ActionEvent` to send.

### fireItemStateChanged

    public void fireItemStateChanged(java.awt.event.ItemEvent e)

  Notifies all listeners that have registered for this event type.

  Parameters:
    `e` - The `ItemEvent` to send.

### fireStateChanged

    public void fireStateChanged()

  Notifies all listeners that have registered for this event type.

### getActionCommand

    public java.lang.String getActionCommand()

  Returns the action command for this menu item model.

  Specified by:
    `getActionCommand` in interface `ButtonModel`
  Returns:
    The action command for this menu item model.

### getGroup

    public ButtonGroup getGroup()

  Returns the `ButtonGroup` to which this menu item model belongs, if any.

  Returns:
    The group which contains this menu item model.

### isSelected

    public boolean isSelected()

  Returns the menu item model's selection state.

  Returns:
    The menu item model's selection state.

### removeActionListener

    public void removeActionListener(ActionListener l)

  Removes an `ActionListener` from the menu item model.

  Specified by:
    `removeActionListener` in interface `ButtonModel`
  Parameters:
    `l` - The `ActionListener` to be removed.

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a `ChangeListener` from the menu item model.

  Parameters:
    `l` - The `ChangeListener` to be removed.

### removeItemListener

    public void removeItemListener(java.awt.event.ItemListener l)

  Removes a `ItemListener` from the menu item model.

  Parameters:
    `l` - The `ItemListener` to be removed.

### setActionCommand

    public void setActionCommand(java.lang.String actionCommand)

  Sets the menu item model's action command.

  Specified by:
    `setActionCommand` in interface `ButtonModel`
  Parameters:
    `actionCommand` - The new action command for this menu item model.

### setGroup

    public void setGroup(ButtonGroup group)

  Sets the `ButtonGroup` to which this menu item model belongs.

  Parameters:
    `group` - The group to which this menu item model belongs.

### setSelected

    public void setSelected(boolean selected)

  Sets the menu item model's selection state.

  Parameters:
    `selected` - The new selection state of the menu item model.

### doAction

    public void doAction()

  Our default doAction

  Specified by:
    `doAction` in interface `ButtonModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD